Add Debian package building files

This commit is contained in:
Benjamin Renard 2024-10-07 12:39:38 +02:00
parent b477cb7a55
commit 80aa2de86e
Signed by: bn8
GPG key ID: 3E2E1CE1907115BC
11 changed files with 122 additions and 2 deletions

1
.gitignore vendored
View file

@ -1 +1,2 @@
*~ *~
/dist

76
build.sh Executable file
View file

@ -0,0 +1,76 @@
#!/bin/bash
QUIET_ARG=""
[[ "$1" == "--quiet" ]] && QUIET_ARG="--quiet"
# Enter source directory
cd "$( dirname "$0" )" || exit
mapfile -t FILES < <( awk '{print $1}' < "debian/install" )
[[ "${#FILES[@]}" -eq 0 ]] && echo "No file found in debian/install file!" && exit 1
PACKAGE_NAME="$( basename "$( head -n1 <<< "$FILES" )" | tr '_' '-' )"
echo "Clean previous build..."
rm -fr dist
echo "Detect version using git describe..."
VERSION="$( git describe --tags|sed 's/^[^0-9]*//' )"
echo "Create building environemt..."
BDIR="dist/$PACKAGE_NAME-$VERSION"
mkdir -p "$BDIR"
RSYNC_ARG=""
[[ -z "$QUIET_ARG" ]] && RSYNC_ARG="-v"
rsync -a "$RSYNC_ARG" debian/ "$BDIR/debian/"
cp "${FILES[@]}" "$BDIR/"
echo "Set version $VERSION in files..."
for FILE in "${FILES[@]}"; do
case "$( mimetype -b "$FILE" )" in
application/x-perl)
echo " - in $FILE (perl)"
sed -i "s/^my \$version *=.*$/my \$version = '$VERSION';/" "$BDIR/$( basename "$FILE" )"
;;
application/x-shellscript)
echo " - in $FILE (shellscript)"
sed -i "s/^VERSION *=.*$/VERSION = '$VERSION'/" "$BDIR/$( basename "$FILE" )"
;;
esac
done
if [[ -z "$DEBIAN_CODENAME" ]]; then
echo "Retrieve debian codename using lsb_release..."
DEBIAN_CODENAME=$( lsb_release -c -s )
else
echo "Use debian codename from environment ($DEBIAN_CODENAME)"
fi
echo "Generate debian changelog using gitdch..."
GITDCH_ARGS=('--verbose')
[[ -n "$QUIET_ARG" ]] && GITDCH_ARGS=('--warning')
if [[ -n "$MAINTAINER_NAME" ]]; then
echo "Use maintainer name from environment ($MAINTAINER_NAME)"
GITDCH_ARGS+=("--maintainer-name" "${MAINTAINER_NAME}")
fi
if [[ -n "$MAINTAINER_EMAIL" ]]; then
echo "Use maintainer email from environment ($MAINTAINER_EMAIL)"
GITDCH_ARGS+=("--maintainer-email" "$MAINTAINER_EMAIL")
fi
gitdch \
--package-name "$PACKAGE_NAME" \
--version "${VERSION}" \
--code-name "$DEBIAN_CODENAME" \
--output "$BDIR"/debian/changelog \
--release-notes dist/release_notes.md \
"${GITDCH_ARGS[@]}"
if [[ -n "$MAINTAINER_NAME" ]] && [[ -n "$MAINTAINER_EMAIL" ]]; then
echo "Set Maintainer field in debian control file ($MAINTAINER_NAME <$MAINTAINER_EMAIL>)..."
sed -i "s/^Maintainer: .*$/Maintainer: $MAINTAINER_NAME <$MAINTAINER_EMAIL>/" \
"$BDIR"/debian/control
fi
echo "Build debian package..."
cd "$BDIR" || exit
dpkg-buildpackage
# vim:set sw=4 ts=4 sts=4 ft=bash expandtab:

View file

@ -44,7 +44,7 @@ Getopt::Long::Configure('bundling');
use lib "/usr/share/backuppc/lib"; use lib "/usr/share/backuppc/lib";
use BackupPC::Lib; use BackupPC::Lib;
my $version = '1.1.3'; my $version = 'dev';
my $warnDaysOld = 2; my $warnDaysOld = 2;
my $critDaysOld = 7; my $critDaysOld = 7;
my $warnDaysInProgress = 0.5; my $warnDaysInProgress = 0.5;

View file

@ -42,7 +42,7 @@ Getopt::Long::Configure('bundling');
use lib "/usr/share/backuppc/lib"; use lib "/usr/share/backuppc/lib";
use BackupPC::Lib; use BackupPC::Lib;
my $version = '1.0'; my $version = 'dev';
# Default quota (GB) # Default quota (GB)
my $quota = 100; my $quota = 100;
my $opt_V = 0; my $opt_V = 0;

View file

@ -1,5 +1,7 @@
#!/bin/bash #!/bin/bash
VERSION=dev
[[ ! -d /var/lib/backuppc/pc ]] && echo "BackupPC directory not found (/var/lib/backuppc/pc)." && exit 1 [[ ! -d /var/lib/backuppc/pc ]] && echo "BackupPC directory not found (/var/lib/backuppc/pc)." && exit 1
if ! cd "/var/lib/backuppc/pc"; then if ! cd "/var/lib/backuppc/pc"; then
echo "Failed to enter in BackupPC directory (/var/lib/backuppc/pc)." echo "Failed to enter in BackupPC directory (/var/lib/backuppc/pc)."

1
debian/compat vendored Normal file
View file

@ -0,0 +1 @@
11

12
debian/control vendored Normal file
View file

@ -0,0 +1,12 @@
Source: check-backuppc
Section: admin
Priority: optional
Maintainer: Easter-eggs <info@easter-eggs.com>
Build-Depends: debhelper (>> 11.0.0)
Standards-Version: 3.9.6
Package: check-backuppc
Architecture: all
Depends: ${misc:Depends}, backuppc, libmonitoring-plugin-perl
Description: Monitoring plugin to check BackupPC instance
This Icinga/Nagios check plugins permit to check BackupPC instance

20
debian/copyright vendored Normal file
View file

@ -0,0 +1,20 @@
This package was written by Benjamin Renard <brenard@easter-eggs.com>.
Copyright (C) 2013-2024 Easter-eggs <info@easter-eggs.com>
check-backuppc is licensed under the GNU general public license, version 2.
check-backuppc is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 2, or (at your option) any later version.
check-backuppc is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.
You should have received a copy of the GNU General Public License along with
check-backuppc; see the file COPYING. If not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
On Debian systems, a copy of the GNU General Public License is available in
/usr/share/common-licenses/GPL-2 as part of the base-files package.

3
debian/install vendored Normal file
View file

@ -0,0 +1,3 @@
check_backuppc usr/lib/nagios/plugins
check_backuppc_du usr/lib/nagios/plugins
check_backuppc_nb_bkp_v3 usr/bin

4
debian/rules vendored Executable file
View file

@ -0,0 +1,4 @@
#!/usr/bin/make -f
#export DH_VERBOSE=1
%:
dh $@

1
debian/source/format vendored Normal file
View file

@ -0,0 +1 @@
1.0